Name:             bluej
Summary:          An integrated Java environment specifically designed for introductory teaching
Version:          3.1.6
Release:          %mkrel 2
License:          GPLv2 with exceptions
Url:              http://www.bluej.org
Group:            Development/Tools
BuildRequires:    ant
BuildRequires:    unzip
BuildRequires:    java-sdk >= 1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    desktop-file-utils
BuildRequires:    java-devel-openjdk
Requires:         java-sdk >= 1.6.0
Recommends:       %{name}-extensions
BuildArch:        noarch
Source0:          http://www.bluej.org/download/files/source/BlueJ-source-316.zip
Source1:          %{name}.desktop
Source2:          %{name}-hicolor-icons.tar.gz
Source3:          build.properties
Source4:          %{name}.xml
Source5:          %{name}_oxygen_icons.tar.gz
Source6:          %{name}_open_project.desktop
Source7:          %{name}_open_folder.desktop
Patch0:           %{name}-blackbox.patch

%description
The BlueJ environment was developed as part of a university research project
about teaching object-orientation to beginners. The aim of BlueJ is to provide
an easy-to-use teaching environment for the Java language that facilitates the
teaching of Java to first year students. Special emphasis has been placed on
visualisation and interaction techniques to create a highly interactive
environment that encourages experimentation and exploration.

BlueJ is based on the Blue system. Blue is an integrated teaching environment
and language, developed at the University of Sydney and Monash University,
Australia. BlueJ provides a Blue-like environment for the Java language.

%package oxygen-icons
License:          LGPLv3
Summary:          BlueJ Icons for Oxygen Icon Theme
Group:            Development/Tools
Requires:         oxygen-icon-theme
Requires:         %{name} = %{version}

%description oxygen-icons
This package provides MIME type icons that integrate well into the KDE/Oxygen
icon theme (http://www.oxygen-icons.org).

%package kde
License:          LGPLv3
Summary:          KDE integration for BlueJ
Group:            Development/Tools
Requires:         kdebase4-runtime
Requires:         %{name} = %{version}

%description kde
This package installs a KDE service menu that lets the user open BlueJ projects
by right clicking on BlueJ package files or folders.

%prep
unzip %{SOURCE0} -d %{name}-%{version}
%{__install} -m644 %{SOURCE3} %{name}-%{version}/build.properties
tar -xzf %{SOURCE2}
tar -xzf %{SOURCE5}
cd %{name}-%{version}
%patch0 -p1

%build
cd %{name}-%{version}
%ant

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
%{__install} -d -m755 %{buildroot}%{_datadir}
cp -pr %{name}-%{version}/lib %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_javadir}
mv %{buildroot}%{_datadir}/lib %{buildroot}%{_javadir}/%{name}

%{__install} -d -m 755 %{buildroot}/%{_sysconfdir}/%{name}
cp -d %{buildroot}%{_javadir}/%{name}/%{name}.defs %{buildroot}/%{_sysconfdir}/%{name}
rm -f %{buildroot}%{_javadir}/%{name}/%{name}.defs
ln -sf %{_sysconfdir}/%{name}/%{name}.defs %{buildroot}%{_javadir}/%{name}/%{name}.defs
cp -d %{buildroot}%{_javadir}/%{name}/greenfoot.defs %{buildroot}/%{_sysconfdir}/%{name}
rm -f %{buildroot}%{_javadir}/%{name}/greenfoot.defs
ln -sf %{_sysconfdir}/%{name}/greenfoot.defs %{buildroot}%{_javadir}/%{name}/greenfoot.defs
cp -d %{buildroot}%{_javadir}/%{name}/moe.defs %{buildroot}/%{_sysconfdir}/%{name}
rm -f %{buildroot}%{_javadir}/%{name}/moe.defs
ln -sf %{_sysconfdir}/%{name}/moe.defs %{buildroot}%{_javadir}/%{name}/moe.defs

for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128 256x256; do
%{__install} -d -m755 %{buildroot}%{_iconsdir}/hicolor/$SIZE/apps
%{__install} -d -m755 %{buildroot}%{_iconsdir}/hicolor/$SIZE/mimetypes
%{__install} -m644 hicolor/$SIZE/apps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/$SIZE/apps/%{name}.png
cp -d hicolor/$SIZE/mimetypes/text-x-%{name}.png %{buildroot}%{_iconsdir}/hicolor/$SIZE/mimetypes
done
for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128 256x256; do
%{__install} -d -m755 %{buildroot}%{_iconsdir}/oxygen/$SIZE/mimetypes
%{__install} -m644 %{name}_oxygen_icons/oxygen/$SIZE/mimetypes/text-x-%{name}.png %{buildroot}%{_iconsdir}/oxygen/$SIZE/mimetypes
done
%{__install} -d -m755 %{buildroot}%{_datadir}/applications
%{__install} -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
%{__install} -d -m755 %{buildroot}%{_datadir}/mime/packages
%{__install} -m644 %{SOURCE4} %{buildroot}%{_datadir}/mime/packages/%{name}.xml
%{__install} -d -m755 %{buildroot}%{_datadir}/kde4/services/ServiceMenus
%{__install} -m644 %{SOURCE6} %{buildroot}%{_datadir}/kde4/services/ServiceMenus
%{__install} -m644 %{SOURCE7} %{buildroot}%{_datadir}/kde4/services/ServiceMenus
%{__install} -d -m755 %{buildroot}%{_docdir}/%{name}
%{__install} -m644 %{name}-%{version}/doc/LICENSE.txt %{buildroot}%{_docdir}/%{name}/LICENSE.txt
%{__install} -m644 %{name}-%{version}/doc/THIRDPARTYLICENSE.txt %{buildroot}%{_docdir}/%{name}/THIRDPARTYLICENSE.txt
cp -pr %{name}-%{version}/examples %{buildroot}%{_docdir}/%{name}
%{__install} -d -m755 %{buildroot}%{_docdir}/%{name}-oxygen-icons
%{__install} -m644 %{name}_oxygen_icons/COPYING %{buildroot}%{_docdir}/%{name}-oxygen-icons/
%{__install} -m644 %{name}_oxygen_icons/README %{buildroot}%{_docdir}/%{name}-oxygen-icons/
%{__install} -d -m755 %{buildroot}%{_bindir}

# remove forbidden files:
rm -f %{buildroot}%{_datadir}/%{name}/bluej.defs.orig

# startscript
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/bash
# simple script to start BlueJ
"/etc/alternatives/java_sdk/bin/java" -cp "%{_javadir}/%{name}/%{name}.jar:/etc/alternatives/java_sdk/lib/tools.jar" %{name}.Boot "\$@"
EOF
%{__chmod} 755 %{buildroot}%{_bindir}/%{name}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%dir %{_iconsdir}/hicolor
%dir %{_iconsdir}/hicolor/16x16
%dir %{_iconsdir}/hicolor/22x22
%dir %{_iconsdir}/hicolor/32x32
%dir %{_iconsdir}/hicolor/48x48
%dir %{_iconsdir}/hicolor/64x64
%dir %{_iconsdir}/hicolor/128x128
%dir %{_iconsdir}/hicolor/256x256
%dir %{_iconsdir}/hicolor/16x16/apps
%dir %{_iconsdir}/hicolor/22x22/apps
%dir %{_iconsdir}/hicolor/32x32/apps
%dir %{_iconsdir}/hicolor/48x48/apps
%dir %{_iconsdir}/hicolor/64x64/apps
%dir %{_iconsdir}/hicolor/128x128/apps
%dir %{_iconsdir}/hicolor/256x256/apps
%dir %{_iconsdir}/hicolor/16x16/mimetypes
%dir %{_iconsdir}/hicolor/22x22/mimetypes
%dir %{_iconsdir}/hicolor/32x32/mimetypes
%dir %{_iconsdir}/hicolor/48x48/mimetypes
%dir %{_iconsdir}/hicolor/64x64/mimetypes
%dir %{_iconsdir}/hicolor/128x128/mimetypes
%dir %{_iconsdir}/hicolor/256x256/mimetypes
%{_docdir}/%{name}
%{_javadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/*/*.png
%config /etc/%{name}

%files oxygen-icons
%dir %{_iconsdir}/oxygen
%dir %{_iconsdir}/oxygen/16x16
%dir %{_iconsdir}/oxygen/22x22
%dir %{_iconsdir}/oxygen/32x32
%dir %{_iconsdir}/oxygen/48x48
%dir %{_iconsdir}/oxygen/64x64
%dir %{_iconsdir}/oxygen/128x128
%dir %{_iconsdir}/oxygen/256x256
%dir %{_iconsdir}/oxygen/16x16/mimetypes
%dir %{_iconsdir}/oxygen/22x22/mimetypes
%dir %{_iconsdir}/oxygen/32x32/mimetypes
%dir %{_iconsdir}/oxygen/48x48/mimetypes
%dir %{_iconsdir}/oxygen/64x64/mimetypes
%dir %{_iconsdir}/oxygen/128x128/mimetypes
%dir %{_iconsdir}/oxygen/256x256/mimetypes
%{_docdir}/%{name}-oxygen-icons
%{_iconsdir}/oxygen/*/*/*.png

%files kde
%dir %{_datadir}/kde4
%dir %{_datadir}/kde4/services
%dir %{_datadir}/kde4/services/ServiceMenus
%{_datadir}/kde4/services/ServiceMenus/%{name}_open_project.desktop
%{_datadir}/kde4/services/ServiceMenus/%{name}_open_folder.desktop


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 3.1.6-2.mga6
+ Revision: 972452
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 alexl <alexl> 3.1.6-1.mga6
+ Revision: 897859
- version 3.1.6

* Mon Jun 29 2015 alexl <alexl> 3.1.5-1.mga6
+ Revision: 847922
- new desktop file
- version 3.1.5

* Wed Oct 15 2014 umeabot <umeabot> 3.1.1-4.mga5
+ Revision: 746507
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.1-3.mga5
+ Revision: 678182
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Apr 13 2014 alexl <alexl> 3.1.1-2.mga5
+ Revision: 613808
- used javadir instead of datadir (policy)
- used ant macros

* Sun Apr 13 2014 alexl <alexl> 3.1.1-1.mga5
+ Revision: 613780
- imported package bluej

